Bug 135552 - Filesave PPTX: Merged cells in Impress don't have lower border line when reopen in LO, OK in MSO
Summary: Filesave PPTX: Merged cells in Impress don't have lower border line when reo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:pptx, regression
: 138821 (view as bug list)
Depends on:
Blocks: Table-Borders Regressions-borderline PPTX-Tables
  Show dependency treegraph
 
Reported: 2020-08-08 10:49 UTC by Sarawin
Modified: 2021-09-14 10:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
video (3.05 MB, video/mp4)
2020-09-21 12:25 UTC, BogdanB
Details
Windows reproduce method (1.99 MB, video/x-matroska)
2020-09-21 13:32 UTC, Sarawin
Details
ODP sample (12.83 KB, application/vnd.oasis.opendocument.presentation)
2020-10-16 08:34 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sarawin 2020-08-08 10:49:19 UTC
Description:
Merged cells in LibreOffice Impress don't have lower border line when reopen.
It happens only the final row that is a merged cell. 
I can fix it by edit its border line individually but when I saved and reopen the presentation, The lower border line of the final row of the table disappear again. 
I've tried this in 7.0 version and it's still the same. 
You can see the picture below if this report is not clear. Sorry for poor English.
https://imgur.com/a/TPApp7m 


Steps to Reproduce:
1.Create a table in Impress.
2.Select more than 1 cell vertically from the last row. 
3.Merge those cells.
4.Set the cell border as the all border(the 4 square window one)
5.Save the presentation and reopen it.
 

Actual Results:
The merged cell's cell border would disappear. 

Expected Results:
Keep the border line of the merged cells.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: PresentationDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: no
Comment 1 BogdanB 2020-09-19 05:40:18 UTC Comment hidden (obsolete)
Comment 2 Sarawin 2020-09-21 11:20:20 UTC
(In reply to BogdanB from comment #1)
> I can NOT reproduce this bug in
> Version: 7.0.1.2
> Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
> CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
> Locale: en-US (ro_RO.UTF-8); UI: en-US
> Calc: threaded

I still can reproduce this bug every time I save and reopen the program. 
I've tried on 7.0.1 and 6.4.6 too. If the steps to reproduce is unclear, email me. 
Thank you.
Comment 3 BogdanB 2020-09-21 12:25:56 UTC Comment hidden (obsolete)
Comment 4 BogdanB 2020-09-21 12:26:47 UTC Comment hidden (obsolete)
Comment 5 BogdanB 2020-09-21 12:29:52 UTC Comment hidden (obsolete)
Comment 6 Sarawin 2020-09-21 12:42:00 UTC
Comment on attachment 165733 [details]
video

Hmm.. I cannot play the video. Could you upload the video in other platform and send me link? Or if you have discord, I can stream the screen to show you the bug. Thank you.
Comment 7 BogdanB 2020-09-21 12:45:27 UTC Comment hidden (obsolete)
Comment 8 Sarawin 2020-09-21 13:29:33 UTC
(In reply to BogdanB from comment #7)
> In the window with the video, click on video and save as on your computer.
> Will work.
> 
> OR
> 
> Right-Click on "attachement 165733" and Save as... And see the video on your
> computer.

Thank you, I watched the video already. The problem happens when you save it and reopen the presentation again. I've tried to reproduce this problem in safemode already. This still happens. I will attach the video of this problem.
Comment 9 Sarawin 2020-09-21 13:32:23 UTC
Created attachment 165736 [details]
Windows reproduce method
Comment 10 BogdanB 2020-09-21 15:34:11 UTC Comment hidden (obsolete)
Comment 11 Timur 2020-09-22 10:09:11 UTC
This is a WRONG report, it didn't say the most important: filesave to PPTX. 
Repro Win with LO 7.0. Cannot test in 7.1+ due to bug 136949. 

Bogdan, please obsolete comments and remove your video. 
Please look for duplicate. I could only find  bug 134098 for fileopen, but hard to believe that such an obvious bug doesn't exist.
Comment 12 Timur 2020-10-16 08:11:55 UTC
LO 6.0 OK, 6.1 NOK, regression. Test with 7.1+ shows that open in MSO is OK.
Comment 13 Timur 2020-10-16 08:32:51 UTC
Bibisect LO 6.1:

commit 11aa51aeea4b95903fc44abe89214a709a566cdf
Date:   Mon Jan 29 10:42:08 2018 +0100

    source sha:753b35b27e3657db39f5d398a733879ef23b7c51
    
    source sha:753b35b27e3657db39f5d398a733879ef23b7c51
    source sha:c4e6f6cfa1b189159245cb544959f800d126a78c
    source sha:9a03edf7f6ed1ae933ce73f26599bc4251662e9d
    source sha:07609f3ae2890ace29c249fac2fb60b0f0332af6
    source sha:c5a3cae89660164f68565ee391ed8cf931f1d4da
    source sha:b28360c66bc856176ff84bc6c2516f710a7196ab
    source sha:8ed06d685bc99c61a36b8f1472883bf85e4b791a
    source sha:71053a36f3f48904c254a1d277f42d6dcdc29b04


previous source sha:e3e2f6911d6231c706ce8c77e5cd6733335d6342

https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=e3e2f6911d6231c706ce8c77e5cd6733335d6342..753b35b27e3657db39f5d398a733879ef23b7c51

8 commits, all Armin Le Grand. Maybe one of these:

author	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-01-24 15:25:40 +0100
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-01-29 10:16:56 +0100
commit	753b35b27e3657db39f5d398a733879ef23b7c51 (patch)
tree	9d86705d902e3777074827163dc616ed1e93e75d
parent	c4e6f6cfa1b189159245cb544959f800d126a78c (diff)
BorderlineFix: Use svx::frame::Array tooling in Draw/Impress
For creating the needed BorderPrimitives for TableCells for the
Tables used in Draw/Impress, adapt the ViewContactOfTableObj doing
this to use svx::frame::Array tooling now. This will correct the
error for not taking the neighboured connects for merged cells
into account and unify one more space to the same tooling.

author	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-01-24 12:05:19 +0100
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-01-29 10:16:56 +0100
commit	c4e6f6cfa1b189159245cb544959f800d126a78c (patch)
tree	e0cf945d0bcb0cfdefc9c3f03d0d127bdbd49e36
parent	9a03edf7f6ed1ae933ce73f26599bc4251662e9d (diff)
BorderlineFix: Corrected Draw/Impress TableStyle accesses
In Draw/Impress the indices for accessing the correct
neighbouring TableStyles were wrong and thus created wrong
visualizations, corrected that.
Comment 14 Timur 2020-10-16 08:34:43 UTC
Created attachment 166402 [details]
ODP sample
Comment 15 Timur 2021-01-22 15:38:01 UTC
*** Bug 138821 has been marked as a duplicate of this bug. ***
Comment 16 Timur 2021-01-22 15:43:46 UTC Comment hidden (obsolete)
Comment 17 Xisco Faulí 2021-06-14 17:35:59 UTC
Still reproducible in

Version: 7.2.0.0.beta1+ / LibreOffice Community
Build ID: d376297c643785564e7bda1a74b573c35ade6cb8
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 18 Timur 2021-09-14 10:55:43 UTC
Hi Armin. Please see this what seems to be regression from your commits. 
If you won't fix it, comment is welcome.